Delete a namespace
curl --request DELETE \
--url https://api.vidnavigator.com/v1/namespaces/{namespace_id} \
--header 'X-API-Key: <api-key>'import requests
url = "https://api.vidnavigator.com/v1/namespaces/{namespace_id}"
headers = {"X-API-Key": "<api-key>"}
response = requests.delete(url, headers=headers)
print(response.text)const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};
fetch('https://api.vidnavigator.com/v1/namespaces/{namespace_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "<string>"
}{
"status": "error",
"error": "<string>",
"message": "<string>"
}{
"status": "error",
"message": "<string>"
}{
"status": "error",
"error": "internal_server_error",
"message": "<string>"
}Local Files
Delete Namespace
Delete a namespace and remove its association from all files. The ‘default’ namespace cannot be deleted.
DELETE
/
namespaces
/
{namespace_id}
Delete a namespace
Delete a namespace. The
default namespace cannot be deleted. Files previously assigned to this namespace will have the association removed but are not deleted.
Example Request
curl -X DELETE "https://api.vidnavigator.com/v1/namespaces/64a1b2c3d4e5f6789abc0003" \
-H "X-API-Key: YOUR_API_KEY"
import requests
namespace_id = "64a1b2c3d4e5f6789abc0003"
url = f"https://api.vidnavigator.com/v1/namespaces/{namespace_id}"
headers = {"X-API-Key": "YOUR_API_KEY"}
response = requests.delete(url, headers=headers)
result = response.json()
const namespaceId = '64a1b2c3d4e5f6789abc0003';
const response = await fetch(`https://api.vidnavigator.com/v1/namespaces/${namespaceId}`, {
method: 'DELETE',
headers: { 'X-API-Key': 'YOUR_API_KEY' }
});
const result = await response.json();
Success Response
{
"status": "success",
"message": "Namespace deleted successfully"
}
⌘I

